ClassNodeUtils (groovy 3.0.7 API)

Package: org.codehaus.groovy.ast.tools

## [Java] Class ClassNodeUtils

- org.codehaus.groovy.ast.tools.ClassNodeUtils

-     @Deprecated
      public class ClassNodeUtils
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `addDeclaredMethodMapsFromSuperInterfaces(ClassNode cNode, Map<String, MethodNode> methodsMap)`
    `` | `public static void` | `addInterfaceMethods(ClassNode cNode, Map<String, MethodNode> methodsMap)`
    `` | `public static Map<String, MethodNode>` | `getDeclaredMethodMapsFromInterfaces(ClassNode cNode)`
    `` | `public static String` | `getPropNameForAccessor(String accessorName)`
    `` | `public static PropertyNode` | `getStaticProperty(ClassNode cNode, String propName)`
    `` | `public static boolean` | `hasPossibleStaticMethod(ClassNode cNode, String name, Expression arguments, boolean trySpread)`
    `` | `public static boolean` | `hasPossibleStaticProperty(ClassNode cNode, String methodName)`
    `` | `public static boolean` | `hasStaticProperty(ClassNode cNode, String propName)`
    `` | `public static boolean` | `isInnerClass(ClassNode cNode)`
    `` | `public static boolean` | `isValidAccessorName(String accessorName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Deprecated public static void addDeclaredMethodMapsFromSuperInterfaces(ClassNode cNode, Map<String, MethodNode> methodsMap)

    - #### @Deprecated public static void addInterfaceMethods(ClassNode cNode, Map<String, MethodNode> methodsMap)

    - #### @Deprecated public static Map<String, MethodNode> getDeclaredMethodMapsFromInterfaces(ClassNode cNode)

    - #### @Deprecated public static String getPropNameForAccessor(String accessorName)

    - #### @Deprecated public static PropertyNode getStaticProperty(ClassNode cNode, String propName)

    - #### @Deprecated public static boolean hasPossibleStaticMethod(ClassNode cNode, String name, Expression arguments, boolean trySpread)

    - #### @Deprecated public static boolean hasPossibleStaticProperty(ClassNode cNode, String methodName)

    - #### @Deprecated public static boolean hasStaticProperty(ClassNode cNode, String propName)

    - #### @Deprecated public static boolean isInnerClass(ClassNode cNode)

    - #### @Deprecated public static boolean isValidAccessorName(String accessorName)